## gucharmap 15.1.3

=== debian/changelog ===
gucharmap (1:15.1.3-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:38:37 +0000

gucharmap (1:15.1.3-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 14:58:51 -0400

=== debian/control ===
Source: gucharmap
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Hideki Yamane <henrich@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream,
               debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gir,
               gtk-doc-tools (>= 1.0),
               itstool,
               libgirepository1.0-dev (>= 0.9.0),
               libglib2.0-dev (>= 2.32.0),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.4.0),
               libgtk-3-doc,
               libpango1.0-doc,
               libpcre2-dev (>= 10.21),
               meson (>= 0.62.0),
               unicode-data (<< 16),
               unicode-data (>= 15.1.0),
               valac (>= 0.24.0-2~)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gucharmap
Vcs-Git: https://salsa.debian.org/gnome-team/gucharmap.git
Homepage: https://wiki.gnome.org/Apps/Gucharmap

Package: gucharmap
Architecture: any
Depends: libgucharmap-2-90-7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: yelp
Description: Unicode character picker and font browser
 This program allows you to browse through all the available Unicode
 characters and categories for the installed fonts, and to examine
 their detailed properties.  It is an easy way to find the character
 you might only know by its Unicode name or code point.

Package: libgucharmap-2-90-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gucharmap-2.90 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libgucharmap-2-90-7 (= ${binary:Version}),
         libpcre2-dev (>= 10.21),
         ${misc:Depends}
Description: Unicode browser widget library (development headers)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the development headers.

Package: libgucharmap-2-90-7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${Built-Using}
Description: Unicode browser widget library (shared library)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the shared library.

Package: gir1.2-gucharmap-2.90
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Unicode browser widget library
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains introspection data for the Unicode browser widget
 library.

## gucharmap 15.1.4

=== debian/changelog ===
gucharmap (1:15.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 Apr 2024 16:48:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gucharmap
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Hideki Yamane <henrich@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                debhelper-compat (= 13),

## gucharmap 15.1.5

=== debian/changelog ===
gucharmap (1:15.1.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 12:43:00 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                unicode-data (>= 15.1.0),
                valac (>= 0.24.0-2~)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gucharmap
 Vcs-Git: https://salsa.debian.org/gnome-team/gucharmap.git
 Homepage: https://wiki.gnome.org/Apps/Gucharmap

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

export PROG_UNZIP = bunzip2

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dgir=true \
		-Dvapi=true \
		-Ducd_path=/usr/share/unicode/

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W unicode-data)"

## gucharmap 16.0.1

=== debian/changelog ===
gucharmap (1:16.0.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:53:37 -0400

gucharmap (1:16.0.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum unicode-data to 16.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Sep 2024 06:59:30 -0400

## gucharmap 16.0.2

=== meson_options.txt ===
# Copyright © 2019 Christian Persch
#
# This programme is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This programme is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this programme.  If not, see <https://www.gnu.org/licenses/>.

option(
  'charmap',
  type: 'boolean',
  value: true,
  description: 'Build the charmap programme',
)

option(
  'dbg',
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'docs',
  type: 'boolean',
  value: true,
  description: 'Enable documentation',
)

option(
  'gir',
  type: 'boolean',
  value: true,
  description: 'Enable GObject Introspection',
)

option(
  'gtk3',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 3.0 widget',
)

option(
  'ucd_path',
  type: 'string',
  value: '',
  description: 'Path to Unicode database files',
)

option(
  'vapi', # would use 'vala' but that name is reserved
  type: 'boolean',
  value: true,
  description: 'Enable Vala bindings',
)

=== debian/changelog ===
gucharmap (1:16.0.2-3) unstable; urgency=medium

  * Team upload
  * d/control: Add missing B-D on gir1.2-*-dev as reported by
    dh_girepository
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control, d/rules: Implement <!nodoc> build-profile
  * d/salsa-ci.yml: Use recommended recipe

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 14:46:34 +0100

gucharmap (1:16.0.2-2) unstable; urgency=medium

  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Sep 2025 12:11:24 -0400

gucharmap (1:16.0.2-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick translation updates
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Sep 2025 09:18:31 -0400

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
                debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gir,
-               gtk-doc-tools (>= 1.0),
+               gir1.2-gtk-3.0-dev,
+               gir1.2-pango-1.0-dev,
+               gobject-introspection (>= 1.80),
+               gtk-doc-tools (>= 1.0) <!nodoc>,
                itstool,
-               libgirepository1.0-dev (>= 0.9.0),
                libglib2.0-dev (>= 2.32.0),
-               libglib2.0-doc,
+               libglib2.0-doc <!nodoc>,
                libgtk-3-dev (>= 3.4.0),
-               libgtk-3-doc,
-               libpango1.0-doc,
+               libgtk-3-doc <!nodoc>,
+               libpango1.0-doc <!nodoc>,
                libpcre2-dev (>= 10.21),
                meson (>= 0.62.0),
-               unicode-data (<< 16),
-               unicode-data (>= 15.1.0),
+               unicode-data (<< 17),
+               unicode-data (>= 16.0.0),
                valac (>= 0.24.0-2~)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gucharmap
 Vcs-Git: https://salsa.debian.org/gnome-team/gucharmap.git
 Homepage: https://wiki.gnome.org/Apps/Gucharmap
@@ -47,7 +48,9 @@
          libgtk-3-dev,
          libgucharmap-2-90-7 (= ${binary:Version}),
          libpcre2-dev (>= 10.21),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides},
 Description: Unicode browser widget library (development headers)
  The libgucharmap library contains a Unicode browser widget; it is
  most prominently used by the "gucharmap" program.  See the package of

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

export PROG_UNZIP = bunzip2

%:
	dh $@

configure_flags = \
	-Dgir=true \
	-Dvapi=true \
	-Ducd_path=/usr/share/unicode/ \
	$(NULL)

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
configure_flags += -Ddocs=true
else
configure_flags += -Ddocs=false
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

execute_after_dh_auto_install:
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	# Make sure these directories exist even with nodoc, so that we don't
	# need to use dh-exec in d/*-dev.install
	install -d debian/tmp/usr/share/gtk-doc
	install -d debian/tmp/usr/share/help
endif

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W unicode-data)"

=== debian/tests/control ===
Tests: libgucharmap-2-90-dev
Depends: build-essential,
         libgucharmap-2-90-dev,
         pkg-config
Restrictions: allow-stderr, superficial

Tests: gir1.2-gucharmap-2.90
Depends: gir1.2-gucharmap-2.90,
         python3,
         python3-gi
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.gnome.org/GNOME/@PACKAGE@/tags?sort=updated_desc \
	-/archive/[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## gucharmap 17.0.1

=== debian/changelog ===
gucharmap (1:17.0.1-1) experimental; urgency=medium

  [ Matthias Geiger ]
  * New upstream release (Closes: #1125333)
  * d/control: Bump unicode-data dependency to 17.0
  * d/patches: Drop Update-translation patches

  [ Jeremy Bícha ]
  * Add patch to revert a change that broke Debian's patched build

 -- Matthias Geiger <werdahias@debian.org>  Fri, 23 Jan 2026 20:03:16 +0100

gucharmap (1:16.0.2-4) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jan 2026 11:11:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gucharmap
 Section: gnome
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Hideki Yamane <henrich@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Hideki Yamane <henrich@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                debhelper-compat (= 13),
                desktop-file-utils,
@@ -19,12 +18,12 @@
                libpango1.0-doc <!nodoc>,
                libpcre2-dev (>= 10.21),
                meson (>= 0.62.0),
-               unicode-data (<< 17),
-               unicode-data (>= 16.0.0),
+               unicode-data (<< 18),
+               unicode-data (>= 17.0.0),
                valac (>= 0.24.0-2~)
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/gucharmap
-Vcs-Git: https://salsa.debian.org/gnome-team/gucharmap.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gucharmap
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/gucharmap.git
 Homepage: https://wiki.gnome.org/Apps/Gucharmap
 
 Package: gucharmap
